%define major 3
%define libname %mklibname graphite2_ %{major}
%define devname %mklibname graphite2 -d

Summary:	Font rendering capabilities for complex non-Roman writing systems
Name:		graphite2
Version:	1.3.8
Release:	1
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://sourceforge.net/projects/silgraphite/
Source0:	https://sourceforge.net/projects/silgraphite/files/%{name}/graphite2-%{version}.tgz
BuildRequires:	cmake
BuildConflicts:	dblatex
BuildRequires:	pkgconfig(freetype2)

%description
Graphite2 is a project within SIL’s Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create "smart fonts"
capable of displaying writing systems with various complex behaviors. With
respect to the Text Encoding Model, Graphite handles the "Rendering" aspect
of writing system implementation.

%files
%{_bindir}/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared libraries for graphite2
Group:		System/Libraries

%description -n %{libname}
Graphite2 is a project within SIL’s Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create "smart fonts"
capable of displaying writing systems with various complex behaviors. With
respect to the Text Encoding Model, Graphite handles the "Rendering" aspect
of writing system implementation.

%files -n %{libname}
%{_libdir}/libgraphite2.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development header files and libraries for graphite2
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Includes and definitions for developing with graphite2.

%files -n %{devname}
%doc ChangeLog
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.cmake
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake -DENABLE_COMPARE_RENDERER=OFF
%make

%install
%makeinstall_std -C build


%changelog

* Fri Aug 26 2016 Denis Silakov <dsilakov@gmail.com> 1.3.8-1
- (52310a1) Fix source name


